## org.apache.commons.math.analysis
Interface UnivariateRealFunction

All Known Subinterfaces:
  DifferentiableUnivariateRealFunction

All Known Implementing Classes:
  HarmonicFunction, NonLinearConjugateGradientOptimizer.LineSearchFunction, PolynomialFunction, PolynomialFunctionLagrangeForm, PolynomialFunctionNewtonForm, PolynomialSplineFunction

    public interface UnivariateRealFunction

An interface representing a univariate real function.

Version:
  $Revision: 799857 $ $Date: 2009-08-01 09:07:12 -0400 (Sat, 01 Aug 2009) $

Method Summary
`double` `value(double x)` Compute the value for the function.

Method Detail

### value

    double value(double x)
                 throws FunctionEvaluationException

  Compute the value for the function.

  Parameters:
    `x` - the point for which the function value should be computed
  Returns:
    the value
  Throws:
    `FunctionEvaluationException` - if the function evaluation fails

Copyright (c) 2003-2010 Apache Software Foundation